de.vc.io

## Class ObservingOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - de.vc.io.ObservingOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class ObservingOutputStream
      extends java.io.FilterOutputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservingOutputStream(java.io.OutputStream out)`
    `ObservingOutputStream(java.io.OutputStream out, StreamObserver obs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StreamObserver` | `getObserver()`
    `void` | `setObserver(StreamObserver observer)`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] parm1, int parm2, int parm3)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.FilterOutputStream

      `close, flush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObservingOutputStream

          public ObservingOutputStream(java.io.OutputStream out)

    - #### ObservingOutputStream

          public ObservingOutputStream(java.io.OutputStream out,
                               StreamObserver obs)

  - ### Method Detail

    - #### getObserver

          public StreamObserver getObserver()

    - #### setObserver

          public void setObserver(StreamObserver observer)

    - #### write

          public void write(byte[] b)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] parm1,
                   int parm2,
                   int parm3)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.